View as Markdown

Time series

Data model

Interest rate

datestringRequired

ISO 8601 representation of the date from which the interest rate applies.

providerstringRequired

Read-only value that indicates whether the interest rate has been created by the client or Aleta. Possible values: client, aleta.

valuenumberRequired

The annual interest rate (pro anno) expressed as a decimal value.

Price

datestringRequired

ISO 8601 representation of the date from which the price applies.

providerstringRequired

Read-only value that indicates whether the price has been created by the client or Aleta. Possible values: client, aleta.

valuenumberRequired

The numeric price value in the related instrument's currency.

Index factor

datestringRequired

ISO 8601 representation of the date from which the index factor applies.

providerstringRequired

Read-only value that indicates whether the index factor has been created by the client or Aleta. Possible values: client, aleta.

valuenumberRequired

The index factor value.

Net asset value

idstring

Unique identifier for the NAV entry. Use this value when deleting a NAV you created via DELETE /api/v3/net-asset-values/{priceId}.

officialDatestringRequired

ISO 8601 representation of the official NAV date.

effectiveDatestring

Optional. ISO 8601 representation of the date from which the NAV is considered effective. When set to null, defaults to officialDate.

valuenumberRequired

The net asset value amount.


Interest rates

List interest rates

Fetch interest rates for an instrument with a given id.

instrumentIdstringRequired

In the path. Instrument identifier.

Request
GET/api/v3/instruments/{instrumentId}/interest-rates
curl https://api.aleta.ai/api/v3/instruments/5e6a90cf921d8b1874c32ed5/interest-rates \
  -H "Authorization: Bearer {access_token}"
Response (200)
{
  "data": [
    {
      "id": "f2d93a1df9ffeb8aa6c140be",
      "type": "interest-rate",
      "attributes": {
        "date": "1900-01-01",
        "value": 0.05,
        "provider": "aleta"
      }
    }
  ]
}

Create an interest rate

instrumentIdstringRequired

In the path. Instrument identifier.

Request
POST/api/v3/instruments/{instrumentId}/interest-rates
curl -X POST https://api.aleta.ai/api/v3/instruments/5e6a90cf921d8b1874c32ed5/interest-rates \
  -H "Authorization: Bearer {access_token}" \
  -H "Content-Type: application/vnd.api+json" \
  -d '{
    "data": {
      "type": "interest-rate",
      "attributes": {
        "date": "1900-01-01",
        "value": 0.05
      }
    }
  }'
Response (201)
{
  "data": {
    "id": "f2d93a1df9ffeb8aa6c140be",
    "type": "interest-rate",
    "attributes": {
      "date": "1900-01-01",
      "value": 0.05,
      "provider": "client"
    }
  }
}

Prices

List prices

Fetch prices for an instrument with a given id. One price per date, newest first.

instrumentIdstringRequired

In the path. Instrument identifier.

Request
GET/api/v3/instruments/{instrumentId}/prices
curl https://api.aleta.ai/api/v3/instruments/5f0475d37fe83b140c415d8f/prices \
  -H "Authorization: Bearer {access_token}"
Response (200)
{
  "data": [
    {
      "id": "6684eb68e9a978c0a6cd0303",
      "type": "price",
      "attributes": {
        "date": "2024-07-02",
        "value": 220.27,
        "provider": "aleta"
      }
    },
    {
      "id": "668399e8e9a978c0a636a94c",
      "type": "price",
      "attributes": {
        "date": "2024-07-01",
        "value": 216.75,
        "provider": "aleta"
      }
    }
  ]
}

Create a price

instrumentIdstringRequired

In the path. Instrument identifier.

Request
POST/api/v3/instruments/{instrumentId}/prices
curl -X POST https://api.aleta.ai/api/v3/instruments/6699152b115c90d14ceae709/prices \
  -H "Authorization: Bearer {access_token}" \
  -H "Content-Type: application/vnd.api+json" \
  -d '{
    "data": {
      "type": "price",
      "attributes": {
        "date": "2024-07-03",
        "value": 221.55
      }
    }
  }'
Response (201)
{
  "data": {
    "id": "66991875143aa32c6619d648",
    "type": "price",
    "attributes": {
      "date": "2024-07-03",
      "value": 221.55,
      "provider": "client"
    }
  }
}

Index factors

List index factors

Fetch index factors for an instrument with a given id.

instrumentIdstringRequired

In the path. Instrument identifier.

Request
GET/api/v3/instruments/{instrumentId}/index-factors
curl https://api.aleta.ai/api/v3/instruments/5f0475d37fe83b140c415d8f/index-factors \
  -H "Authorization: Bearer {access_token}"
Response (200)
{
  "data": [
    {
      "id": "668399e8e9a978c0a636a94c",
      "type": "index-factor",
      "attributes": {
        "date": "2024-07-01",
        "value": 118.75,
        "provider": "aleta"
      }
    },
    {
      "id": "6684eb68e9a978c0a6cd0303",
      "type": "index-factor",
      "attributes": {
        "date": "2024-07-02",
        "value": 118.90,
        "provider": "aleta"
      }
    }
  ]
}

Create an index factor

Create index factors for an instrument with a given id.

instrumentIdstringRequired

In the path. Instrument identifier.

Request
POST/api/v3/instruments/{instrumentId}/index-factors
curl -X POST https://api.aleta.ai/api/v3/instruments/6699152b115c90d14ceae709/index-factors \
  -H "Authorization: Bearer {access_token}" \
  -H "Content-Type: application/vnd.api+json" \
  -d '{
    "data": {
      "type": "index-factor",
      "attributes": {
        "date": "2024-07-03",
        "value": 118.55
      }
    }
  }'
Response (201)
{
  "data": {
    "id": "66991875143aa32c6619d648",
    "type": "index-factor",
    "attributes": {
      "date": "2024-07-03",
      "value": 118.55,
      "provider": "client"
    }
  }
}

Net asset values

List net asset values

Fetch net asset values for an instrument with a given id.

instrumentIdstringRequired

In the path. Instrument identifier.

Request
GET/api/v3/instruments/{instrumentId}/net-asset-values
curl https://api.aleta.ai/api/v3/instruments/d7ff1805ab0737c827ce5428/net-asset-values \
  -H "Authorization: Bearer {access_token}"
Response (200)
{
  "data": [
    {
      "type": "net-asset-value",
      "id": "66990014c5dc848e8f97c1bb",
      "attributes": {
        "officialDate": "2025-11-30",
        "effectiveDate": "2025-12-01",
        "value": 1022759.07
      }
    }
  ]
}

Create a net asset value

Create a net asset value for an instrument with a given id.

instrumentIdstringRequired

In the path. Instrument identifier.

Request
POST/api/v3/instruments/{instrumentId}/net-asset-values
curl -X POST https://api.aleta.ai/api/v3/instruments/5eec224dac39d31c888a01da/net-asset-values \
  -H "Authorization: Bearer {access_token}" \
  -H "Content-Type: application/vnd.api+json" \
  -d '{
    "data": {
      "type": "net-asset-value",
      "attributes": {
        "officialDate": "2022-05-01",
        "effectiveDate": null,
        "value": 2500000
      }
    }
  }'
Response (201)
{
  "data": {
    "id": "68e766b53f3c5ba4efd60821",
    "type": "net-asset-value",
    "attributes": {
      "officialDate": "2022-05-01",
      "effectiveDate": "2022-05-01",
      "value": 2500000
    }
  }
}

Delete a net asset value

Delete a net asset value that was created with POST /api/v3/instruments/{instrumentId}/net-asset-values, by its identifier. Answers 204 No Content.

priceIdstringRequired

In the path. Net asset value identifier: the id returned when the NAV was created, which GET /api/v3/instruments/{instrumentId}/net-asset-values also lists.

Request
DELETE/api/v3/net-asset-values/{priceId}
curl -X DELETE https://api.aleta.ai/api/v3/net-asset-values/66990014c5dc848e8f97c1bb \
  -H "Authorization: Bearer {access_token}"